Generate Report for Account Reconciliation

Generates either a single predefined Reconciliation Compliance report, predefined Transaction Matching report or a custom report.

Note:

All parameters must be specified for a report.

REST Resource

POST  /arm/rest/fcmapi/{api_version}/report

Required Roles

Service Administrator, Power User, User, Viewer

Users with Power User, User, and Viewer predefined roles may require additional granular roles.

Request

Supported Media Types: application/json

Parameters

Table 15-7 REPORT

Name Description Path Required
groupName The name of the group the report is associated with. No Yes
reportName The name of the report to be generated. No Yes
generatedReportFileName Specify the name of the generated report, including the file extension that matches the selected report format. If you omit this parameter, the system will use the value from the reportName parameter defined in the table below. This process overwrites existing files of the same name on the server. No No
parameters Each report may have different parameters. Types of parameters:
  • Numerical - should be in BigDecimal format.
  • Text - standard string
  • Date - can be in format yyyy-MM-dd for example 2020-10-01. To use the current date, use the value "CURRENT_DATE".
  • Date/Time - can be in format yyyy-MM-dd HH:mm:ss or yyyy-MM-dd'T'HH:mm:ss for example 2020-10-01 13:01:00, 2020-10-01T13:01:00. To use the current date and time, use the value "CURRENT_DATE_TIME".
  • Boolean
  • Users - user login ID
  • List of choices - case insensitive values
No No
format The format of the report (HTML, PDF, XLSX, CSV or CSV2). No No (default is PDF)
module The module within Account Reconciliation: RC (Reconciliation Compliance) or TM (Transaction Matching. No No (default is RC)
emails Comma separated list of email addresses that will receive the report once it's generated.

Ensure the generated report size does not exceed 60 MB when the emails parameter is specified.

No No
runAsync Generation of report runs asynchronously (true) or synchronously (false).

Oracle recommends setting this value to true (async) for larger reports. An example of request body and output is shown.

No No (default is false)

Note:

If the required parameters, groupName or reportName are not specified, you receive an error.

For details about reportName or parameters, see Working with Predefined Reports in Reconciliation Compliance or Working with Predefined Reports in Transaction Matching in Administering Account Reconciliation.

For details about Output Format, see Generating the Report in Administering Account Reconciliation.

For details about retrieving job status while running reports, see Retrieve Job Status for a Report.

.

Example of request body (to be run synchronously)

{
"groupName":"Reconciliation Manager",
"reportName":"Balance by Account Type",
"generatedReportFileName":"myReport.pdf",
 "parameters":{"Period":"June 2018","Currency Bucket": "Entered", "Rate Type": "Accounting"},
"format":"PDF",
"module":"RC",
"emails":"user1@oracle.com,user2@oracle.com",
"runAsync":false
}

Example of request body (to be run asynchronously for larger reports)

{
"groupName":"Reconciliation Manager",
"reportName":"Balance by Account Type",
"generatedReportFileName":"myReport.pdf",
 "parameters":{"Period":"June 2018","Currency Bucket": "Entered", "Rate Type": "Accounting"},
"format":"PDF",
"module":"RC",
"emails":"user1@oracle.com,user2@oracle.com",
"runAsync":true
}

Response

Supported Media Types: application/json

Parameters:

Table 15-8 Parameters

Name Description
type The module within Account Reconciliation: RC (Reconciliation Compliance) or TM (Transaction Matching.
details In case of errors, details are published with the error string
status See Migration Status Codes
links Detailed information about the link
href Links to the API call
action The HTTP call type
rel Relationship type (self, Job Status). if set to Job Status, you can use the href to get the status of the operation
data Parameters as key value pairs passed in the request

Examples of Response Body

The following is an example of the response body in JSON format for a Reconciliation Compliance successfully completed report called My Report in pdf format generated synchronously (runAsync=false):

{
"type":"RC",
"status":0,
 "details": "myReport.pdf",
 "links" [{
 "action": "POST",
  "href":  "https://<SERVICE_NAME>-<TENANT_NAME>.<SERVICE_TYPE>.<dcX>.oraclecloud.com/fcm/rest/fcmapi/v1/report",
  "rel":  "self"
  },
       {
            "rel": "report-content",
            "href": "https://<SERVICE_NAME>-<TENANT_NAME>.<SERVICE_TYPE>.<dcX>.oraclecloud.com/interop/rest/v1/applicationsnapshots/myReport.pdf",
            "action": "GET"
}
]
}

The following is an example of the response body in JSON format for a Reconciliation Compliance report generated asynchronously (runAsync=true) where the report is "In Process" and you can use the Job ID generated to retrieve the job status. See Retrieve Job Status for a Report:

{
 "links":[
{
 "rel":"self",
 "href": "https://<SERVICE_NAME>-<TENANT_NAME>.<SERVICE_TYPE>.<dcX>.oraclecloud.com/arm/rest/fcmapi/v1/report",
"action": "POST"
},
{
"rel":"Job Status",
 "href":  "https://<SERVICE_NAME>-<TENANT_NAME>.<SERVICE_TYPE>.<dcX>.oraclecloud.com/arm/rest/fcmapi/v1/report/job/TM/100000001001009",
 "action": "GET"
}
],
"details":"In Process",
"status":-1,
}